## START: Set by rpmautospec
## (rpmautospec version 0.7.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# mailman3's TestableMaster can't be used outside of a
# source checkout?
%bcond_with tests

%global srcname postorius

Name:           python-%{srcname}
Version:        1.3.8
Release:        %autorelease
Summary:        Web UI for GNU Mailman
License:        GPL-3.0-or-later
URL:            https://gitlab.com/mailman/postorius
Source:         %{pypi_source %{srcname}}
# mark as compatible with Django 4.2
# see https://gitlab.com/mailman/postorius/-/commit/9ca9da8f9d68a174e561ae1be85c4097ff36c8e1
Patch:          %{srcname}-django42.diff
# use find_namespace_packages rather than find_packages
# to ensure postorius.locale.*.LC_MESSAGES get picked up
# right now it does but triggers deprecation warnings
# https://gitlab.com/mailman/postorius/-/merge_requests/826
Patch:          %{srcname}-include-lc_messages-packages.diff

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%global _description %{expand:
The Postorius Django app provides a web user interface to access GNU Mailman.}

%description %{_description}


%package -n %{srcname}
Summary:        %{summary}

%description -n %{srcname} %{_description}


%prep
%autosetup -p1 -n %{srcname}-%{version}


%generate_buildrequires
%if %{with tests}
%pyproject_buildrequires -t
%else
%pyproject_buildrequires
%endif


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
# this requires the Django app to be set up first
# export DJANGO_SETTINGS_MODULE=postorius.doc.settings
# %%pyproject_check_import
%if %{with tests}
PYTHONPATH=$(pwd)/src:${PYTHONPATH} \
%tox
%endif


%files -n %{srcname} -f %{pyproject_files}
%license COPYING
%doc README.rst


%changelog
## START: Generated by rpmautospec
* Mon Aug 26 2024 Michel Lind <salimma@fedoraproject.org> - 1.3.8-8
- Depend on readme-renderer[md] as is, to pick up cmarkgfm
- Fixes: RHBZ#2292632

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jun 20 2024 Python Maint <python-maint@redhat.com> - 1.3.8-6
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.3.8-3
- Rebuilt for Python 3.12 (rhbz#2220414)
- Mark as compatible with Django 4.2
- Fix deprecation warning for LC_MESSAGES discovery

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Feb 27 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.3.8-1
- Update to 1.3.8

* Mon Feb 27 2023 Tomas Hrcka <thrcka@redhat.com> - 1.3.6-4
- Unretirement request: https://pagure.io/releng/issue/11308

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 10 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.3.6-1
- Initial Fedora package
## END: Generated by rpmautospec
